Subject: IPSec on Linux Kernel

From: Fabio Souto <[email-masked]>
Date: Thu, 27 Sep 2007 07:04:54 -0700 (PDT)

Hi,

I'm currently doing some research work and I thought that maybe you guys
could help me out on this.
I'm currently trying to find where can I understand more about the IPSec
implementation on the current Linux Kernel (2.6.22). I need to find where
the AH calls are made so I can reroute those functions calls to an external
module, for a safer AH generation.
It would be helpful to find the source code files where I can study the
IPSec stack in detail, and reroute the function call.
Any hints on these topics?

Thanks in advance

Fabio Souto
Portugal
-- 
View this message in context: http://www.nabble.com/IPSec-on-Linux-Kernel-tf4528613.html#a12922013
Sent from the netdev mailing list archive at Nabble.com.